<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-now Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// no direct access
defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Router\Routei;
use Joomla\Component\Content\Site\Helper\RouteHelper;
JHtml::addIncludePath(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers/html');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$letter       = $this->state->get('filter.letter');
$author       = $this->state->get('filter.author_id');
$year       = $this->state->get('filter.year');
$editor       = $this->state->get('filter.editor_id');
$category       = $this->state->get('filter.category_id');
$tag       = $this->state->get('filter.tag_id');
?>
<form action="<?php echo JFilterOutput::ampReplace(Uri::getInstance()->toString()); ?>" method="post" name="adminForm" id="adminForm" class="abook-search">
	<?php if ($this->params->get('filter_field')):?>
                <div class="filters btn-toolbar">
			<div class="btn-group">
				<div class="input-append">
				<label for="filter-keyword"><?php echo JText::_('COM_ABOOK_FILTER_TITLE'); ?></label>
                        	<input type="text" name="filter-keyword" id="filter-keyword" style="width:167px" value="<?php echo $this->escape($this->state->get('filter.keyword')); ?>" class="inputbox" onchange="document.adminForm.submit();" title="<?php echo JText::_('COM_ABOOK_FILTER_SEARCH_DESC'); ?>" />
				<button class="btn btn-secondary" type="submit"><?php echo JText::_('COM_ABOOK_SEARCHBUTTON_TEXT'); ?></button>
				</div>
			</div>
			<?php if ($this->params->get('filter_category')):?>
			<div class="btn-group">
			<label for="filter-category_id"><?php echo JText::_('COM_ABOOK_CATEGORY'); ?></label>
			<?php 
				$filtercategory= JHtml::_('categoryparent.options', 'com_abook', array('filter.published' => array(0, 1)), $this->state->get('category.id', 0));
				echo JHtml::_('select.genericlist', $filtercategory, 'filter-category_id', 'onchange="this.form.submit()"', 'value', 'text', $this->escape($category));
			?>
			</div>
			<?php endif; ?>
			<?php if ($this->params->get('filter_tag')):?>
			<div class="btn-group">
			<label for="filter-tag_id"><?php echo JText::_('COM_ABOOK_TAGS'); ?></label>
                        <?php
                                $filtertag= JHtml::_('abtag.options', $this->state->get('category.id'), $this->state->get('filter.subcategories', false), $this->state->get('filter.max_category_levels', 2));
                                echo JHtml::_('select.genericlist', $filtertag, 'filter-tag_id', 'onchange="this.form.submit()"', 'value', 'text', $this->escape($tag));
                        ?>
			</div>
			<?php endif; ?>
			<?php if ($this->params->get('filter_author')):?>
			<div class="btn-group">
			<label for="filter-author_id"><?php echo JText::_('COM_ABOOK_AUTHOR'); ?></label>
			<?php
				$filterauthor= JHtml::_('abauthor.options', $this->state->get('category.id'), $this->state->get('filter.subcategories', false), $this->state->get('filter.max_category_levels', 2));
                        	echo JHtml::_('select.genericlist', $filterauthor, 'filter-author_id', 'onchange="this.form.submit()"', 'value', 'text', $this->escape($author));
			?>
			</div>
			<?php endif; ?>
                        <?php if ($this->params->get('filter_year')):?>
			<div class="btn-group">
			<label for="filter-year"><?php echo JText::_('COM_ABOOK_YEAR'); ?></label>
			<?php
				$filteryear= JHtml::_('abyear.options', $this->state->get('category.id'), $this->state->get('filter.subcategories', false), $this->state->get('filter.max_category_levels', 2));
                                echo JHtml::_('select.genericlist', $filteryear, 'filter-year', 'onchange="this.form.submit()"', 'value', 'text', $this->escape($year));
			?>
			</div>
			<?php endif; ?>
			<?php if ($this->params->get('filter_editor')):?>
			<div class="btn-group">
			<label for="filter-editor_id"><?php echo JText::_('COM_ABOOK_EDITOR'); ?></label>
			<?php
				$filtereditor = JHtml::_('abeditor.options', $this->state->get('category.id'), $this->state->get('filter.subcategories', false), $this->state->get('filter.max_category_levels', 2));
                                echo JHtml::_('select.genericlist', $filtereditor, 'filter-editor_id', 'onchange="this.form.submit()"', 'value', 'text', $this->escape($editor));
			?>
			</div>
			<?php endif; ?>
                </div>
        <?php endif; ?>

	
<?php if ($this->params->get( 'alphabet_bar', 1 )== 1) { ?>
        <fieldset class="filters"><?php echo JHTML::_('icon.alphabet');?></fieldset>
        <?php if ($letter!=''){ ?>
                <div class="thisletter"><h2><?php echo $letter;?></h2></div>
        <?php }

} ?>
<?php if (empty($this->items)) : ?>
        <p><?php echo JText::_('COM_ABOOK_NO_BOOKS'); ?></p>
<?php else:?>
	<table class="table table-hover books">
		<tbody>
			<?php foreach($this->items as $i => $item) : ?>
				<?php echo JLayoutHelper::render('category.item', array('params' => $item->params, 'item' => $item, 'print' => false)); ?>
			<?php endforeach; ?>
		</tbody>
	</table>
<?php endif; ?>
<div class="pull-right"><?php echo JHTML::_('we.we') ?></div>
<div class="clearfix"></div>
<?php // Add pagination links ?>
<?php if (!empty($this->items)) : ?>
        <?php if ($this->params->def('show_pagination', 1) || ($this->params->get('show_pagination') == 2) && ($this->pagination->pagesTotal > 1)) : ?>
        <div class="w-100">
                <?php if ($this->params->def('show_pagination_count', 1) || $this->params->def('show_pagination_results', 0)) : ?>
                        <p class="counter float-md-end pt-3 pe-2">
                                <?php if($this->params->def('show_pagination_count', 1)){
					echo $this->pagination->getPagesCounter();
				}
				if ($this->params->def('show_pagination_results', 0)){
					echo ' - '.$this->pagination->getResultsCounter();
				}
				?>
				
                        </p>
                <?php endif; ?>
		<div class="paglink">
			<?php echo $this->pagination->getPagesLinks(); ?>
		</div>
        </div>
	<?php endif; ?>
<?php endif; ?>
	<div>
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<input type="hidden" name="letter" value="<?php echo $letter; ?>" />
		<input type="hidden" name="limitstart" value="" />
                <input type="hidden" name="task" value="" />
	</div>
</form>
